<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for VehicleSpeed StructType
 * @subpackage Structs
 */
class VehicleSpeed extends AbstractStructBase
{
    /**
     * The individualVehicleSpeed
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $individualVehicleSpeed;
    /**
     * The vehicleSpeedExtension
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ExtensionType
     */
    public $vehicleSpeedExtension;
    /**
     * Constructor method for VehicleSpeed
     * @uses VehicleSpeed::setIndividualVehicleSpeed()
     * @uses VehicleSpeed::setVehicleSpeedExtension()
     * @param float $individualVehicleSpeed
     * @param \StructType\ExtensionType $vehicleSpeedExtension
     */
    public function __construct($individualVehicleSpeed = null, \StructType\ExtensionType $vehicleSpeedExtension = null)
    {
        $this
            ->setIndividualVehicleSpeed($individualVehicleSpeed)
            ->setVehicleSpeedExtension($vehicleSpeedExtension);
    }
    /**
     * Get individualVehicleSpeed value
     * @return float
     */
    public function getIndividualVehicleSpeed()
    {
        return $this->individualVehicleSpeed;
    }
    /**
     * Set individualVehicleSpeed value
     * @param float $individualVehicleSpeed
     * @return \StructType\VehicleSpeed
     */
    public function setIndividualVehicleSpeed($individualVehicleSpeed = null)
    {
        $this->individualVehicleSpeed = $individualVehicleSpeed;
        return $this;
    }
    /**
     * Get vehicleSpeedExtension value
     * @return \StructType\ExtensionType|null
     */
    public function getVehicleSpeedExtension()
    {
        return $this->vehicleSpeedExtension;
    }
    /**
     * Set vehicleSpeedExtension value
     * @param \StructType\ExtensionType $vehicleSpeedExtension
     * @return \StructType\VehicleSpeed
     */
    public function setVehicleSpeedExtension(\StructType\ExtensionType $vehicleSpeedExtension = null)
    {
        $this->vehicleSpeedExtension = $vehicleSpeedExtension;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\VehicleSpeed
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
